OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignOrganizationAssignment Class Reference

`#include <StepAP214_AutoDesignOrganizationAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignOrganizationAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP214_AutoDesignOrganizationAssignment ()
| Returns a AutoDesignOrganizationAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&aAssignedOrganization, const Handle(StepBasic_OrganizationRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&aAssignedOrganization, const Handle(StepBasic_OrganizationRole)&aRole, const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem | Items () const
Standard_EXPORT StepAP214_AutoDesignGeneralOrgItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignOrganizationAssignment::StepAP214_AutoDesignOrganizationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignOrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_OrganizationAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignOrganizationAssignment::Init | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization,
|  | const Handle(StepBasic_OrganizationRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignOrganizationAssignment::Init | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization,
|  | const Handle(StepBasic_OrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_OrganizationAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem StepAP214_AutoDesignOrganizationAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignGeneralOrgItem StepAP214_AutoDesignOrganizationAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignOrganizationAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignOrganizationAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignGeneralOrgItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignGeneralOrgItem StepAP214_AutoDesignOrganizationAssignment::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignOrganizationAssignment.hxx